<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myDealerReminderTypeLabel" jhiTranslate="mpmApp.dealerReminderType.home.createOrEditLabel">Create or edit a Dealer Reminder Type</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!dealerReminderType.idReminderType">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="dealerReminderType.idReminderType" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.dealerReminderType.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="dealerReminderType.description"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.dealerReminderType.messages" for="field_messages">Messages</label>
            <div class="input-group">
                <textarea pInputTextarea rows="10" cols="60" name="messages" id="field_messages" 
                    [(ngModel)]="dealerReminderType.messages">
                </textarea>
            </div>
        </div>
        <div class="form-group">
            <textarea rows="5" cols="105" name="messages" pInputTextarea id="field_messages"
                [(ngModel)]="dealerReminderType.messages"></textarea>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
